#ifndef OASTROORBITAXIS_H__
#define OASTROORBITAXIS_H__

enum
{
	DID_ORBIT_TYPE = 1000,
	DID_ORBIT_EPOCH,

	DID_NEXT_BEGIN_CHECK_OASTRO_O_AXIS,
	DID_SEMI_MAJOR_AXIS,
	DID_SEMI_MAJOR_AXIS_CY,
	DID_ECCENTRICITY,
	DID_ECCENTRICITY_CY,
	DID_INCLINATION,
	DID_INCLINATION_CY,
	DID_MEAN_LONGITUDE,
	DID_MEAN_LONGITUDE_CY,
	DID_LONGITUDE_PERIHELION,
	DID_LONGITUDE_PERIHELION_CY,
	DID_LONGITUDE_ASCENDING_NODE,
	DID_LONGITUDE_ASCENDING_NODE_CY,
	DID_MEAN_ANOMALY_COEF_B,
	DID_MEAN_ANOMALY_COEF_C,
	DID_MEAN_ANOMALY_COEF_S,
	DID_MEAN_ANOMALY_COEF_F,
	DID_END_NEXT_CHECK_OASTRO_O_AXIS,

	DID_ORBIT_EXPIRATION_BEGIN,
	DID_ORBIT_EXPIRATION_END,

	DID_ORBIT_BODY_SCALE,
	DID_ORBIT_RING_WIDTH,
	DID_ORBIT_RING_THICKNESS,
	DID_ORBIT_RING_PERI_WIDTH_RATE,
	DID_ORBIT_RING_ARC_ANGLE,
	DID_ORBIT_RING_ROT_TYPE,

	DID_ORBIT_RING_LINK = 1050,
	DID_ORBIT_RING_OBJECT_LINK,

	DID_GEN_ORBIT_VISUALOBJ = 1090,
	DID_GEN_ORBIT_RING,
	DID_GEN_BODY_AXIS,

	GID_SEMI_MAJOR_AXIS = 1100,
	GID_ECCENTRICITY,
	GID_INCLINATION,
	GID_MEAN_LONGITUDE,
	GID_LONGITUDE_PERIHELION,
	GID_LONGITUDE_ASCENDING_NODE,
	GID_MEAN_ANOMALY_COEF,
	GID_ORBIT_RING,

	GID_ORBIT_GEN_CMD,

	ID_ORBIT_NONE = 1200,
	ID_ORBIT_KEPLER,
	ID_ORBIT_KEPLER_EX,
	ID_ORBIT_RING,

	ID_ORBIT_RING_ROT_M = 1250,
	ID_ORBIT_RING_ROT_E,
	ID_ORBIT_RING_ROT_M_LEN,
	ID_ORBIT_RING_ROT_E_LEN,

	ID_EXPIRATION_MID = 1300,

	DID_END_OASTROORBITAXIS
};

#endif	// OASTROORBITAXIS_H__
